Bug 1417893

Summary: Test case failure: /CoreOS/mysql/testsuite - rpl.rpl_multi_source_basic 'row'
Product: [Fedora] Fedora Reporter: Karel Volný <kvolny>
Component: community-mysqlAssignee: Michal Schorm <mschorm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: databases-maint, hhorak, jstanek, mschorm, qe-baseos-daemons
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: community-mysql-8.0.16-1.fc30 community-mysql-8.0.16-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1387157 Environment:
Last Closed: 2019-05-29 00:49:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1387157    
Bug Blocks:    

Description Karel Volný 2017-01-31 11:26:15 UTC
the same with community-mysql-server-5.7.17-1.fc25.x86_64

+++ This bug was initially created as a clone of Bug #1387157 +++

Version-Release number of selected component (if applicable):
rh-mysql57-mysql-server-5.7.15-2.el6.x86_64

Actual results:
rpl.rpl_multi_source_basic 'row'         [ fail ]
        Test ended at 2016-10-19 09:52:16

CURRENT_TEST: rpl.rpl_multi_source_basic
--- /opt/rh/rh-mysql57/root/usr/share/mysql-test/suite/rpl/r/rpl_multi_source_basic.result	2016-08-25 14:52:06.000000000 +0300
+++ /var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/rpl_multi_source_basic.reject	2016-10-19 16:52:16.281854380 +0300
@@ -31,7 +31,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 #
 # 1.b  create database and table db3.t1 on server_3
@@ -56,7 +55,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 #
 # 1.c  sync the slave (server_2) with both masters (server_1 and server_3)
@@ -76,7 +74,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 include/assert.inc [Slave should have 10 rows in db1.t1]
 include/assert.inc [Slave should have 10 rows in db3.t1]
@@ -143,7 +140,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 USE dbcommon;
 SHOW TABLES;

mysqltest: Result content mismatch

safe_process[30265]: Child process: 30266, exit: 1

 - the logfile can be found in '/var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/rpl.rpl_multi_source_basic-row/rpl_multi_source_basic.log'

Retrying test rpl.rpl_multi_source_basic, attempt(2/3)...

rpl.rpl_multi_source_basic 'row'         [ retry-fail ]
        Test ended at 2016-10-19 09:52:19

CURRENT_TEST: rpl.rpl_multi_source_basic
--- /opt/rh/rh-mysql57/root/usr/share/mysql-test/suite/rpl/r/rpl_multi_source_basic.result	2016-08-25 14:52:06.000000000 +0300
+++ /var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/rpl_multi_source_basic.reject	2016-10-19 16:52:18.847860542 +0300
@@ -31,7 +31,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 #
 # 1.b  create database and table db3.t1 on server_3
@@ -56,7 +55,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 #
 # 1.c  sync the slave (server_2) with both masters (server_1 and server_3)
@@ -76,7 +74,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 include/assert.inc [Slave should have 10 rows in db1.t1]
 include/assert.inc [Slave should have 10 rows in db3.t1]
@@ -143,7 +140,6 @@
 mtr
 mysql
 performance_schema
-sys
 test
 USE dbcommon;
 SHOW TABLES;

mysqltest: Result content mismatch

safe_process[30391]: Child process: 30392, exit: 1

 - the logfile can be found in '/var/opt/rh/rh-mysql57/lib/mysql/testGqV/log/rpl.rpl_multi_source_basic-row/rpl_multi_source_basic.log'

Test rpl.rpl_multi_source_basic has failed 2 times, no more retries!

Comment 1 Fedora Update System 2017-07-25 13:17:56 UTC
community-mysql-5.7.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 2 Fedora Update System 2017-07-25 22:50:02 UTC
community-mysql-5.7.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a827cf42a

Comment 3 Fedora Update System 2017-07-25 22:54:46 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7c039552fa

Comment 4 Fedora Update System 2017-07-26 01:20:04 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 5 Fedora Update System 2017-08-09 15:56:36 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-08-09 19:57:32 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Karel Volný 2018-06-13 13:10:48 UTC
still present in community-mysql-server-5.7.22-1.fc28.x86_64

Comment 8 Fedora Update System 2019-05-01 07:45:24 UTC
community-mysql-8.0.16-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-093e481b3d

Comment 9 Fedora Update System 2019-05-01 07:45:38 UTC
community-mysql-8.0.16-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a8a9efc40

Comment 10 Fedora Update System 2019-05-02 02:38:20 UTC
community-mysql-8.0.16-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a8a9efc40

Comment 11 Fedora Update System 2019-05-02 02:59:32 UTC
community-mysql-8.0.16-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-093e481b3d

Comment 12 Fedora Update System 2019-05-29 00:49:08 UTC
community-mysql-8.0.16-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-29 02:59:12 UTC
community-mysql-8.0.16-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.